[**brk-client**](../README.md)

***

[brk-client](../globals.md) / AverageBlockCumulativeSumPattern

# Interface: AverageBlockCumulativeSumPattern\<T\>

Defined in: [Developer/brk/modules/brk-client/index.js:3850](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L3850)

## Type Parameters

### T

`T`

## Properties

### average

> **average**: [`_1m1w1y24hPattern`](1m1w1y24hPattern.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:3851](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L3851)

***

### block

> **block**: [`SeriesPattern18`](../type-aliases/SeriesPattern18.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:3852](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L3852)

***

### cumulative

> **cumulative**: [`SeriesPattern1`](../type-aliases/SeriesPattern1.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:3853](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L3853)

***

### sum

> **sum**: [`_1m1w1y24hPattern`](1m1w1y24hPattern.md)\<`T`\>

Defined in: [Developer/brk/modules/brk-client/index.js:3854](https://github.com/bitcoinresearchkit/brk/blob/76869ed2b6aad1e1c3da7aff4c90e9b5788fb606/modules/brk-client/index.js#L3854)
